Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA
Class DataInputStream

    java.lang.Object
      |
      +--org.openorb.CORBA.DataInputStream

All Implemented Interfaces:
  DataInputStream, IDLEntity, java.io.Serializable, ValueBase

public class DataInputStream
extends java.lang.Object
implements DataInputStream

This class is the implementation of DataInputStream used for custom marshalling of value type. It simply delegates to InputStream all functions.

Version:
  $Revision: 1.5 $ $Date: 2002/07/15 14:53:41 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Constructor Summary
`DataInputStream(InputStream istream)` Constructor

Method Summary
`java.lang.String[]` | `_truncatable_ids()` List of truncatable _ids
`java.lang.Object` | `read_Abstract()` Operation read_Abstract
`void` | `read_any_array(AnySeqHolder seq, int offset, int length)` Operation read_any_array
`Any` | `read_any()` Operation read_any
`void` | `read_boolean_array(BooleanSeqHolder seq, int offset, int length)` Operation read_boolean_array
`boolean` | `read_boolean()` Operation read_boolean
`void` | `read_char_array(CharSeqHolder seq, int offset, int length)` Operation read_char_array
`char` | `read_char()` Operation read_char
`void` | `read_double_array(DoubleSeqHolder seq, int offset, int length)` Operation read_double_array
`double` | `read_double()` Operation read_double
`void` | `read_float_array(FloatSeqHolder seq, int offset, int length)` Operation read_float_array
`float` | `read_float()` Operation read_float
`void` | `read_long_array(LongSeqHolder seq, int offset, int length)` Operation read_long_array
`int` | `read_long()` Operation read_long
`double` | `read_longdouble()` Operation read_longdouble.
`void` | `read_longlong_array(LongLongSeqHolder seq, int offset, int length)` Operation read_longlong_array
`long` | `read_longlong()` Operation read_longlong
`Object` | `read_Object()` Operation read_Object
`void` | `read_octet_array(OctetSeqHolder seq, int offset, int length)` Operation read_octet_array
`byte` | `read_octet()` Operation read_octet
`void` | `read_short_array(ShortSeqHolder seq, int offset, int length)` Operation read_short_array
`short` | `read_short()` Operation read_short
`java.lang.String` | `read_string()` Operation read_string
`TypeCode` | `read_TypeCode()` Operation read_TypeCode
`void` | `read_ulong_array(ULongSeqHolder seq, int offset, int length)` Operation read_ulong_array
`int` | `read_ulong()` Operation read_ulong
`void` | `read_ulonglong_array(ULongLongSeqHolder seq, int offset, int length)` Operation read_ulonglong_array
`long` | `read_ulonglong()` Operation read_ulonglong
`void` | `read_ushort_array(UShortSeqHolder seq, int offset, int length)` Operation read_ushort_array
`short` | `read_ushort()` Operation read_ushort
`java.io.Serializable` | `read_Value()` Operation read_value
`void` | `read_wchar_array(WCharSeqHolder seq, int offset, int length)` Operation read_wchar_array
`char` | `read_wchar()` Operation read_wchar
`java.lang.String` | `read_wstring()` Operation read_wstring

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataInputStream

    public DataInputStream(InputStream istream)

  Constructor

Method Detail

### _truncatable_ids

    public java.lang.String[] _truncatable_ids()

  List of truncatable _ids
  Specified by:
    `_truncatable_ids` in interface `ValueBase`

### read_any

    public Any read_any()

  Operation read_any
  Specified by:
    `read_any` in interface `DataInputStream`

### read_boolean

    public boolean read_boolean()

  Operation read_boolean
  Specified by:
    `read_boolean` in interface `DataInputStream`

### read_char

    public char read_char()

  Operation read_char
  Specified by:
    `read_char` in interface `DataInputStream`

### read_wchar

    public char read_wchar()

  Operation read_wchar
  Specified by:
    `read_wchar` in interface `DataInputStream`

### read_octet

    public byte read_octet()

  Operation read_octet
  Specified by:
    `read_octet` in interface `DataInputStream`

### read_short

    public short read_short()

  Operation read_short
  Specified by:
    `read_short` in interface `DataInputStream`

### read_ushort

    public short read_ushort()

  Operation read_ushort
  Specified by:
    `read_ushort` in interface `DataInputStream`

### read_long

    public int read_long()

  Operation read_long
  Specified by:
    `read_long` in interface `DataInputStream`

### read_ulong

    public int read_ulong()

  Operation read_ulong
  Specified by:
    `read_ulong` in interface `DataInputStream`

### read_longlong

    public long read_longlong()

  Operation read_longlong
  Specified by:
    `read_longlong` in interface `DataInputStream`

### read_ulonglong

    public long read_ulonglong()

  Operation read_ulonglong
  Specified by:
    `read_ulonglong` in interface `DataInputStream`

### read_float

    public float read_float()

  Operation read_float
  Specified by:
    `read_float` in interface `DataInputStream`

### read_double

    public double read_double()

  Operation read_double
  Specified by:
    `read_double` in interface `DataInputStream`

### read_longdouble

    public double read_longdouble()

  Operation read_longdouble. This is not implemented.

### read_string

    public java.lang.String read_string()

  Operation read_string
  Specified by:
    `read_string` in interface `DataInputStream`

### read_wstring

    public java.lang.String read_wstring()

  Operation read_wstring
  Specified by:
    `read_wstring` in interface `DataInputStream`

### read_Object

    public Object read_Object()

  Operation read_Object
  Specified by:
    `read_Object` in interface `DataInputStream`

### read_Abstract

    public java.lang.Object read_Abstract()

  Operation read_Abstract
  Specified by:
    `read_Abstract` in interface `DataInputStream`

### read_Value

    public java.io.Serializable read_Value()

  Operation read_value
  Specified by:
    `read_Value` in interface `DataInputStream`

### read_TypeCode

    public TypeCode read_TypeCode()

  Operation read_TypeCode
  Specified by:
    `read_TypeCode` in interface `DataInputStream`

### read_any_array

    public void read_any_array(AnySeqHolder seq,
                               int offset,
                               int length)

  Operation read_any_array
  Specified by:
    `read_any_array` in interface `DataInputStream`

### read_boolean_array

    public void read_boolean_array(BooleanSeqHolder seq,
                                   int offset,
                                   int length)

  Operation read_boolean_array
  Specified by:
    `read_boolean_array` in interface `DataInputStream`

### read_char_array

    public void read_char_array(CharSeqHolder seq,
                                int offset,
                                int length)

  Operation read_char_array
  Specified by:
    `read_char_array` in interface `DataInputStream`

### read_wchar_array

    public void read_wchar_array(WCharSeqHolder seq,
                                 int offset,
                                 int length)

  Operation read_wchar_array
  Specified by:
    `read_wchar_array` in interface `DataInputStream`

### read_octet_array

    public void read_octet_array(OctetSeqHolder seq,
                                 int offset,
                                 int length)

  Operation read_octet_array
  Specified by:
    `read_octet_array` in interface `DataInputStream`

### read_short_array

    public void read_short_array(ShortSeqHolder seq,
                                 int offset,
                                 int length)

  Operation read_short_array
  Specified by:
    `read_short_array` in interface `DataInputStream`

### read_ushort_array

    public void read_ushort_array(UShortSeqHolder seq,
                                  int offset,
                                  int length)

  Operation read_ushort_array
  Specified by:
    `read_ushort_array` in interface `DataInputStream`

### read_long_array

    public void read_long_array(LongSeqHolder seq,
                                int offset,
                                int length)

  Operation read_long_array
  Specified by:
    `read_long_array` in interface `DataInputStream`

### read_ulong_array

    public void read_ulong_array(ULongSeqHolder seq,
                                 int offset,
                                 int length)

  Operation read_ulong_array
  Specified by:
    `read_ulong_array` in interface `DataInputStream`

### read_longlong_array

    public void read_longlong_array(LongLongSeqHolder seq,
                                    int offset,
                                    int length)

  Operation read_longlong_array
  Specified by:
    `read_longlong_array` in interface `DataInputStream`

### read_ulonglong_array

    public void read_ulonglong_array(ULongLongSeqHolder seq,
                                     int offset,
                                     int length)

  Operation read_ulonglong_array
  Specified by:
    `read_ulonglong_array` in interface `DataInputStream`

### read_float_array

    public void read_float_array(FloatSeqHolder seq,
                                 int offset,
                                 int length)

  Operation read_float_array
  Specified by:
    `read_float_array` in interface `DataInputStream`

### read_double_array

    public void read_double_array(DoubleSeqHolder seq,
                                  int offset,
                                  int length)

  Operation read_double_array
  Specified by:
    `read_double_array` in interface `DataInputStream`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD